> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.0x.org/api-reference/evm-ap-is/gasless/chains/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.0x.org/_mcp/server. # getChains GET https://api.0x.org/gasless/chains Get list of supported chains for gasless Reference: https://docs.0x.org/api-reference/evm-ap-is/gasless/chains ## Request ### Headers - `0x-api-key` (string, required) — Visit dashboard.0x.org to get your API Key - `0x-version` (string, required) — API version ## Response ### 200 Successful response - `chains` (list of GaslessChainsGetResponsesContentApplicationJsonSchemaChainsItems, required) - `zid` (string, required) — The unique ZeroEx identifier of the request ## Errors ### 500 Internal Server Error 500 error response - `Gasless::chainsRequestInternalServerError` ## Types ### GaslessChainsGetResponsesContentApplicationJsonSchemaChainsItems - `chainId` (double, required) - `chainName` (string, required) ### INTERNAL_SERVER_ERROR - `name` (enum, required) - Allowed values: `INTERNAL_SERVER_ERROR` - `message` (string, required) - `data` (InternalServerErrorData, required) ### UNCATEGORIZED - `name` (enum, required) - Allowed values: `UNCATEGORIZED` - `message` (string, required) - `data` (UncategorizedData, required) ### InternalServerErrorData - `zid` (string, required) — The unique ZeroEx identifier of the request ### UncategorizedData - `zid` (string, required) — The unique ZeroEx identifier of the request ## Examples **Response** ```json { "chains": [ { "chainId": 1.1, "chainName": "string" } ], "zid": "string" } ``` **SDK Code** ```python Gasless_chains_example import requests url = "https://api.0x.org/gasless/chains" headers = { "0x-api-key": "0x-api-key", "0x-version": "v2" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Gasless_chains_example const url = 'https://api.0x.org/gasless/chains'; const options = {method: 'GET', headers: {'0x-api-key': '0x-api-key', '0x-version': 'v2'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Gasless_chains_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.0x.org/gasless/chains" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("0x-api-key", "0x-api-key") req.Header.Add("0x-version", "v2") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Gasless_chains_example require 'uri' require 'net/http' url = URI("https://api.0x.org/gasless/chains") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["0x-api-key"] = '0x-api-key' request["0x-version"] = 'v2' response = http.request(request) puts response.read_body ``` ```java Gasless_chains_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.0x.org/gasless/chains") .header("0x-api-key", "0x-api-key") .header("0x-version", "v2") .asString(); ``` ```php Gasless_chains_example request('GET', 'https://api.0x.org/gasless/chains', [ 'headers' => [ '0x-api-key' => '0x-api-key', '0x-version' => 'v2', ], ]); echo $response->getBody(); ``` ```csharp Gasless_chains_example using RestSharp; var client = new RestClient("https://api.0x.org/gasless/chains"); var request = new RestRequest(Method.GET); request.AddHeader("0x-api-key", "0x-api-key"); request.AddHeader("0x-version", "v2"); IRestResponse response = client.Execute(request); ``` ```swift Gasless_chains_example import Foundation let headers = [ "0x-api-key": "0x-api-key", "0x-version": "v2" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.0x.org/gasless/chains")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Developer documentation for the 0x API. Embed swaps in your onchain app. Access 10+ million tokens with liquidity from 150+ exchanges with a single API.